gtk.PrintOperationPreview
Prev | The gtk Class Reference | Next

## gtk.PrintOperationPreview

gtk.PrintOperationPreview — an interface for printing preview (new in PyGTK 2.10)

## Synopsis

    class gtk.PrintOperationPreview(gobject.GInterface):
        def render_page(page_nr)
        def end_preview()
        def is_selected(page_nr)

## gtk.PrintOperationPreview Signal Prototypes

"got-page-size | `def callback(`printoperationpreview`, `printcontext`, `user_param1`, `...`)`
"ready | `def callback(`printoperationpreview`, `printcontext`, `pagesetup`, `user_param1`, `...`)`

## Description

`gtk.PrintOperationPreview` is an interface implemented by `gtk.PrintOperation` for previewing pages before printing.

## Methods

### gtk.PrintOperationPreview.render_page

        def render_page(page_nr)

`page_nr` : | the number of the page to be previewed

### Note

This method is available in PyGTK 2.10 and above.

### gtk.PrintOperationPreview.end_preview

        def end_preview()

### Note

This method is available in PyGTK 2.10 and above.

### gtk.PrintOperationPreview.is_selected

        def is_selected(page_nr)

`page_nr` : |
Returns : | `TRUE` if `page_nr` is the currently selected page

### Note

This method is available in PyGTK 2.10 and above.

Returns `TRUE` if the page with the number specified by `page_nr` is currently selected.

## Signals

### The "got-page-size" gtk.PrintOperationPreview Signal

        def callback(printoperationpreview, printcontext, user_param1, ...)

`printoperationpreview` : |
`printcontext` : | the print context
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

### Note

This signal is available in GTK+ 2.10 and above.

### The "ready" gtk.PrintOperationPreview Signal

        def callback(printoperationpreview, printcontext, pagesetup, user_param1, ...)

`printoperationpreview` : |
`printcontext` : | the print context
`pagesetup` : | the page setup
`user_param1` : | the first user parameter (if any) specified with the `connect`() method
`...` : | additional user parameters (if any)

### Note

This signal is available in GTK+ 2.10 and above.

Prev | Up | Next
gtk.PrintOperation | Home | gtk.PrintSettings